#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private GomMultiTopPro[] cacheGomMultiTopPro;

		
		public GomMultiTopPro GomMultiTopPro()
		{
			return GomMultiTopPro(Input);
		}


		
		public GomMultiTopPro GomMultiTopPro(ISeries<double> input)
		{
			if (cacheGomMultiTopPro != null)
				for (int idx = 0; idx < cacheGomMultiTopPro.Length; idx++)
					if ( cacheGomMultiTopPro[idx].EqualsInput(input))
						return cacheGomMultiTopPro[idx];
			return CacheIndicator<GomMultiTopPro>(new GomMultiTopPro(), input, ref cacheGomMultiTopPro);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.GomMultiTopPro GomMultiTopPro()
		{
			return indicator.GomMultiTopPro(Input);
		}


		
		public Indicators.GomMultiTopPro GomMultiTopPro(ISeries<double> input )
		{
			return indicator.GomMultiTopPro(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.GomMultiTopPro GomMultiTopPro()
		{
			return indicator.GomMultiTopPro(Input);
		}


		
		public Indicators.GomMultiTopPro GomMultiTopPro(ISeries<double> input )
		{
			return indicator.GomMultiTopPro(input);
		}

	}
}

#endregion
